from typing import Union

from incorta_cloud.expection_handlers.handlers import AbstractHandler
from incorta_cloud.expection_handlers.handlers.unauthorized_handler import UnauthorizedExceptionHandler
from incorta_cloud.utils.logger import logger
from incorta_cloud_client.exceptions import UnauthorizedException


def create_handler(e: Exception) -> Union[AbstractHandler, None]:
    if type(e) is UnauthorizedException:
        return UnauthorizedExceptionHandler()

    return None
