import typer
from incorta_cloud_client.exceptions import UnauthorizedException

from incorta_cloud.expection_handlers.handlers import AbstractHandler
from incorta_cloud.utils import logger


class UnauthorizedExceptionHandler(AbstractHandler):
    def handle(self, app: typer.Typer, e: Exception) -> bool:
        logger.error(e.__str__())
        return False
